Subject: RE: WGLC How long ?

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 4 Jan 2007 08:07:47 +0200

The running code is indeed two to four weeks. I am not sure if this is
caught in any document or should be. I would say that for a first time
LC and complex documents it should be closer to four, than it can
decrease or be shorter for documents judged to be relative 'simple' or
including a lesser amount of changes. I believe that going below two
weeks involves dangers related to people schedules, as even IETF-ers
sometimes take one week vacations :-) 

Dan

> -----Original Message-----
> From: James M. Polk [mailto:[email-masked]] 
> Sent: Thursday, January 04, 2007 6:43 AM
> To: [email-masked]; [email-masked]
> Subject: Re: WGLC How long ?
> 
> Daniel
> 
> I generally believe WGLC should not be shorter than 2 weeks 
> the first time it is given for an ID.  Subsequent WGLCs, say 
> for a small but noticeable change in the doc during revising 
> the doc for AD comments or WGLC comments, can be shorter.
> 
> If an ID seems to me, as chair, to be less stable or there is 
> one or two in the WG that have problems with it (but they 
> haven't swayed the WG to their position), and I still want 
> WGLC to occur, I might extend the time out to 3 or even 4 
> weeks, but no longer than 4.
> 
> Also, if a fair amount of the subject matter is covered by 
> experts from another WG or in the case that several WGs cover 
> what's written in a particular ID in my WG, I will give this 
> ID more time in WGLC so that others from those other WGs have 
> a chance to see the WGLC notification and cycle time to do a 
> review (which takes time).  In this case, sending a WGLC 
> notice into those other WGs is usually done by me when doing 
> a WGLC of an ID that crosses WG charter boundaries with 
> another WG to ensure that other WG has a chance to see the 
> WGLC announcement.
> 
> I have observed these general guidelines over the years in 
> WGs I work in before I became a WG chair, so these are not 
> invented by me.
> 
> I also clear (or just notify) a lot of things with the ADs, 
> so they are not surprised if they are sent a note from 
> someone complaining about what I'm doing.  ;-)
> 
> hope this helps
> 
> James
> TSVWG chair
> 
> At 01:37 AM 1/4/2007 +0000, =?euc-kr?B?udq89sir?= wrote:
> >Hi,
> >
> >While looking at RFC 2418 for the WG guideline, one question 
> occurs in 
> >my mind, thus I am sending it to this list.
> >
> >Section 7.4 says "The decision to issue a working group 
> Last-Call is at 
> >the discretion of the WG Chair working with the Area Director."
> >
> >
> >However, I failed to see any mention for its period. In general, we 
> >issue the WGLC for two weeks. Is it a traditional manner 
> regardless of 
> >the guideline ?
> >
> >Section 8 says "This Last Call will announce the intention 
> of the IESG 
> >to consider the document, and it will solicit final comments 
> from the 
> >IETF within a period of two weeks."
> >
> >Just curious...
> >
> >Thanks in advance and happy new year.
> >
> >Daniel
> >
> >Co-Chair, 16NG Working Group.
> 
>

---

From: "Steven M. Bellovin" <[email-masked]>
Date: Thu, 4 Jan 2007 01:14:29 -0500

On Thu, 4 Jan 2007 08:07:47 +0200

> sometimes take one week vacations :-) 

By intent, it isn't documented.  As Soohung Park noted in his original
message, last calls themselves aren't required.  It's up to the chairs
(in consultation with the ADs) to decide how long a Last Call should
be.  I've issued a one week LC in the IPR working group, for a very
small document.

		--Steve Bellovin, http://www.cs.columbia.edu/~smb

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 04 Jan 2007 09:03:24 +0100

> be.  I've issued a one week LC in the IPR working group, for a very

Indeed - the point is that it should be long enough to feel confident
that interested members of the WG have had time to comment. There are
formal times set for IETF Last Calls, and it's common practice to extend
last calls that occur during major holiday periods or during IETF
meetings, when people are otherwise occupied.

    Brian

---

From: Daniel Park <[email-masked]>
Date: Fri, 05 Jan 2007 09:41:21 +0900

> be.  I've issued a one week LC in the IPR working group, for a very

RFC 2418 says that the decision to issue a WGLC is at the discretion
of the WG chairs with AD...But, in general, the most WGs (probably
all WGs) issue their own WGLC. Also, I've seen several individual actions: 
one week for small and non-standard document, four weeks for running
code, mostly two weeks for WGLC, also one time / two times and even 
more regardless of WG Guideline. In that sense, I am not sure why RFC
2418 does not mention and guide this aspect.

Although IETF is familiar with rough consensus than other SDOs, at 
lease WGLC could be mentioned in WG Guideline more precise than
now. Lot of IETF guys are working for several WGs simultaneously. 
Thus they can complain why A-WG has longer WGLC than B-WG.

I am not serious, but just want to have more clarification on this concern.
If allowed, we should be consistent in this action following the WG Guideline.
Am I missing anything ? Or does it seem unreasonable from the IETF
perspective ?

Sorry if I am raising unnecessary or past thread in the list.

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 4 Jan 2007 17:17:42 -0800

Hi -

> From: "Daniel Park" <[email-masked]>
> To: "Steven M. Bellovin" <[email-masked]>; "Romascanu, Dan (Dan)" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Thursday, January 04, 2007 4:41 PM
...
> Thus they can complain why A-WG has longer WGLC than B-WG.
...

How would this violate the process guidelines?

Randy

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 05 Jan 2007 13:00:24 +0100

> How would this violate the process guidelines?

It wouldn't. But some people are used to working in SDOs
with rigid timelines, and they need to learn that timelines
are not rigid in the IETF.

    Brian

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Fri, 05 Jan 2007 09:16:53 -0500

> are not rigid in the IETF.
... noting that the IETF has benefited from the clock imposed by another 
SDO, at least in the case of Megaco.